Kerbal Space Program - Bug #9621

Settings menu on Linux
04/30/2016 12:59 PM - Ademptis

Status: Duplicate Start date: 04/30/2016
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

The settings menu is entirely blank, as shown in the screenshot below.

The issue persists through all the settings menus.

It means that the game is stuck on the lowest graphics settings and full volume.
Related issues:

Related to Kerbal Space Program - Bug #9443: Some menus don't have entries

Duplicate 04/23/2016

History

#1 - 04/30/2016 04:03 PM - sal_vager
- Status changed from New to Unity Bug

Hello Adempitis, this is a bug in the Unity3D game engine failing to properly support open source Linux graphics drivers.

Please start KSP with the -force-glcore command line argument to force proper detection, thank you.

#2 - 05/10/2016 11:23 PM - Ruedii

OK, | was poking around the Unity docs and | found a good workaround.

Since this bug is specific to screen attachment of the Ul, simply switching to camera attachment of the Ul should theoretically fix the bug.

This switch could also add features to the Ul interface because it allows for render transforms on the Ul, without having to go to the full complexity of

the world Ul.

It will also allow you to make elements of the Ul resolution independent. (I'm sure there is a workaround to provide resolution dependent scaling.)

#3 - 05/24/2016 10:41 AM - sal_vager
- Status changed from Unity Bug to Duplicate
- % Done changed from 0 to 100

Setting as duplicate, good spot MisterDood.

#4 - 05/24/2016 10:42 AM - sal_vager
- Related to Bug #9443: Some menus don't have entries added
